Bug 664615 - Review Request: vorbisspi - Java Service Provider Interface for the OGG Vorbis audio format
Summary: Review Request: vorbisspi - Java Service Provider Interface for the OGG Vorbi...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Alexander Kurtakov
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-12-21 00:08 UTC by Hicham HAOUARI
Modified: 2011-02-04 19:54 UTC (History)
3 users (show)

Fixed In Version: vorbisspi-1.0.3-2.fc14
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-02-04 19:54:48 UTC
Type: ---
akurtako: fedora-review+
j: fedora-cvs+


Attachments (Terms of Use)

Description Hicham HAOUARI 2010-12-21 00:08:37 UTC
Spec URL: http://hicham.fedorapeople.org/vorbisspi/vorbisspi.spec
SRPM URL: http://hicham.fedorapeople.org/vorbisspi/vorbisspi-1.0.3-1.fc14.src.rpm

Description:

VorbisSPI is a Java Service Provider Interface that adds OGG Vorbis audio
format support to Java platform. It supports Icecast streaming. It is 
based on JOrbis Java libraries.

OGG Vorbis is a fully Open, non-proprietary, patent-and-royalty-free,
general-purpose compressed audio format for high quality (44.1-48.0kHz,
16+ bit, polyphonic) audio and music at fixed and variable bit rates from
16 to 128 Kbps/channel. This places Vorbis in the same class as audio 
representations including MPEG-1 audio layer 3, MPEG-4 audio
(AAC and TwinVQ), and PAC.

Comment 1 Alexander Kurtakov 2011-01-25 23:22:04 UTC
I'll do this one

Comment 2 Alexander Kurtakov 2011-01-25 23:29:19 UTC
Package Review
==============

Key:
- = N/A
x = Check
! = Problem
? = Not evaluated

=== REQUIRED ITEMS ===
[x]  Rpmlint output: NONE
[x]  Package is named according to the Package Naming Guidelines[1].
[x]  Spec file name must match the base package name, in the format %{name}.spec.
[x]  Package meets the Packaging Guidelines[2].
[x]  Package successfully compiles and builds into binary rpms.
[x]  Buildroot definition is not present
[x]  Package is licensed with an open-source compatible license and meets other legal requirements as defined in the legal section of Packaging Guidelines[3,4].
[x]  License field in the package spec file matches the actual license.
License type: LGPLv2
[x]  If (and only if) the source package includes the text of the license(s) in its own file, then that file, containing the text of the license(s) for the package is included in %doc.
[!]  All independent sub-packages have license of their own
[x]  Spec file is legible and written in American English.
[x]  Sources used to build the package matches the upstream source, as provided in the spec URL.
[x]  All build dependencies are listed in BuildRequires, except for any that are listed in the exceptions section of Packaging Guidelines[5].
[x]  Package must own all directories that it creates.
[x]  Package requires other packages for directories it uses.
[x]  Package does not contain duplicates in %files.
[x]  Permissions on files are set properly.
[!]  Package does NOT have a %clean section which contains rm -rf %{buildroot} (or $RPM_BUILD_ROOT). (not needed anymore)
[x]  Package consistently uses macros (no %{buildroot} and $RPM_BUILD_ROOT mixing)
[x]  Package contains code, or permissable content.
[x]  Fully versioned dependency in subpackages, if present.
[-]  Package contains a properly installed %{name}.desktop file if it is a GUI application.
[x]  Package does not own files or directories owned by other packages.
[x]  Javadoc documentation files are generated and included in -javadoc subpackage
[x]  Javadocs are placed in %{_javadocdir}/%{name} (no -%{version} symlinks)
[x]  Packages have proper BuildRequires/Requires on jpackage-utils
[x]  Javadoc subpackages have Require: jpackage-utils
[-]  Package uses %global not %define
[-]  If package uses tarball from VCS include comment how to re-create that tarball (svn export URL, git clone URL, ...)
[x]  If source tarball includes bundled jar/class files these need to be removed prior to building
[x]  All filenames in rpm packages must be valid UTF-8.
[x]  Jar files are installed to %{_javadir}/%{name}.jar (see [6] for details)
[-]  If package contains pom.xml files install it (including depmaps) even when building with ant
[-]  pom files has correct add_to_maven_depmap call which resolves to the pom file (use "JPP." and "JPP-" correctly)

=== Other suggestions ===
[x]  If possible use upstream build method (maven/ant/javac)
[x]  Avoid having BuildRequires on exact NVR unless necessary
[x]  Package has BuildArch: noarch (if possible)
[x]  Latest version is packaged.

=== Issues ===
1. License in javadoc package is needed.
2. Please remove clean section
3. Remove the buildroot cleaning from the start of the install section

Comment 3 Hicham HAOUARI 2011-01-26 00:04:46 UTC
Updated

Spec URL: http://hicham.fedorapeople.org/vorbisspi/vorbisspi.spec
SRPM URL:
http://hicham.fedorapeople.org/vorbisspi/vorbisspi-1.0.3-2.fc14.src.rpm

Description:

VorbisSPI is a Java Service Provider Interface that adds OGG Vorbis audio
format support to Java platform. It supports Icecast streaming. It is 
based on JOrbis Java libraries.

OGG Vorbis is a fully Open, non-proprietary, patent-and-royalty-free,
general-purpose compressed audio format for high quality (44.1-48.0kHz,
16+ bit, polyphonic) audio and music at fixed and variable bit rates from
16 to 128 Kbps/channel. This places Vorbis in the same class as audio 
representations including MPEG-1 audio layer 3, MPEG-4 audio
(AAC and TwinVQ), and PAC.

Comment 4 Alexander Kurtakov 2011-01-26 00:16:37 UTC
APPROVED

Comment 5 Hicham HAOUARI 2011-01-27 03:03:23 UTC
New Package SCM Request
=======================
Package Name: vorbisspi
Short Description: Java Service Provider Interface for the OGG Vorbis audio format
Owners: hicham
Branches: f14
InitialCC: hicham

Comment 6 Jason Tibbitts 2011-01-27 15:04:57 UTC
Git done (by process-git-requests).

Comment 7 Fedora Update System 2011-01-27 15:46:49 UTC
vorbisspi-1.0.3-2.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/vorbisspi-1.0.3-2.fc14

Comment 8 Fedora Update System 2011-01-27 20:55:30 UTC
vorbisspi-1.0.3-2.fc14 has been pushed to the Fedora 14 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update vorbisspi'.  You can provide feedback for this update here: https://admin.fedoraproject.org/updates/vorbisspi-1.0.3-2.fc14

Comment 9 Fedora Update System 2011-02-04 19:54:43 UTC
vorbisspi-1.0.3-2.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.